weka.core

## Class WekaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - weka.core.WekaException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    NoSupportForMissingValuesException, UnsupportedAttributeTypeException, UnsupportedClassTypeException

      public class WekaException
      extends java.lang.Exception

  Class for Weka-specific exceptions.
  Version:
    $Revision: 11353 $
  Author:
    Richard Kirkby (rkirkby@cs.waikato.ac.nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WekaException()` Creates a new WekaException with no message.
    `WekaException(java.lang.String message)` Creates a new WekaException.
    `WekaException(java.lang.String message, java.lang.Throwable cause)` Constructor with message and cause
    `WekaException(java.lang.Throwable cause)` Constructor with cause argument

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WekaException

          public WekaException()

      Creates a new WekaException with no message.

    - #### WekaException

          public WekaException(java.lang.String message)

      Creates a new WekaException.
      Parameters:
        `message` - the reason for raising an exception.

    - #### WekaException

          public WekaException(java.lang.String message,
                       java.lang.Throwable cause)

      Constructor with message and cause
      Parameters:
        `message` - the message for the exception
        `cause` - the root cause Throwable

    - #### WekaException

          public WekaException(java.lang.Throwable cause)

      Constructor with cause argument
      Parameters:
        `cause` - the root cause Throwable